package com.bjtdba.entity.system;

import java.io.Serializable;
import java.util.Date;

/**
 * 短信发送记录表(RrxSmsRecord)实体类
 *
 * @author makejava
 * @since 2022-09-06 12:12:00
 */
public class SmsRecord implements Serializable {
    private static final long serialVersionUID = 997699158008334233L;
    /**
     * 短信发送记录编号
     */
    private String smsRecordId;
    /**
     * 短信平台账号
     */
    private String uid;
    /**
     * 接受短信的手机号
     */
    private String phone;
    /**
     * 短信内容
     */
    private String content;
    /**
     * 发送短信时间
     */
    private Date createTime;
    /**
     * 添加记录ip
     */
    private String ip;
    /**
     * 短信模板ID
     */
    private String template;
    /**
     * 状态码 100=成功,130=失败,131=空号,132=停机,133=关机,134=无状态
     */
    private Integer resultcode;
    /**
     * 发送记录id
     */
    private String recordId;


    public String getSmsRecordId() {
        return smsRecordId;
    }

    public void setSmsRecordId(String smsRecordId) {
        this.smsRecordId = smsRecordId;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public Integer getResultcode() {
        return resultcode;
    }

    public void setResultcode(Integer resultcode) {
        this.resultcode = resultcode;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

}

